<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

get_header();
?>

<div class="container">
	<div class="row py-3 py-md-5">				
		<div class="col-12 col-md-4 offset-md-4">
			<?php get_search_form(); ?>
		</div>	
	</div>	
</div>

<?php if ( ! is_paged() ) { ?>
<div class="container">
	<div class="row my-3">
		<div class="col-12 col-md-8 offset-md-2">
			<header>
				<h1 class="display-3"><?php single_term_title(); ?></h1>
				<?php the_archive_description( '<div class="py-3">', '</div>' ); ?>
			</header>
		</div>
	</div>
</div>
	<?php
} else {
	$digger_page_number = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;
	?>
	<div class="container">
		<div class="row my-3">
			<div class="col-12 col-md-8 offset-md-2">
				<h1><?php single_term_title(); ?></h1>
				<p class="py-3"><?php esc_html_e( 'Page', 'digger' ); ?>: <?php echo (int) $digger_page_number; ?></p>
			</div>
		</div>
	</div>
<?php } ?>

<div class="container">
	<div class="row mb-3 mb-md-5">
		<section id="primary" class="col-md-8 offset-md-2 content-area">
			<div id="main" class="site-main" role="main">
				<?php
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>

						<div class="archive-posts border p-3 p-md-5 my-auto mb-3 mb-md-5 bg-white rounded">

							<?php
							if ( has_post_thumbnail() ) {
								?>
								<div class="thumbnail-archive"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
								<?php
							};
							?>
							<h3><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="hometitle"><?php the_title(); ?></a></h3>
							<?php the_excerpt(); ?>
							<?php
								echo '<span class="all-tags"><small>';
							if ( is_tag() ) {
								the_tags( '', ', ', '' );
							}
							if ( is_category() ) {
								the_tags( '', ', ', '' );
							}
								echo '</small></span>'
							?>
							<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><span class="block-link"></span></a>
						</div>
						<?php
						endwhile;

						digger_boostrap_5_pagination();

					else :
						?>

						<p><?php esc_html_e( 'Nothing Here Yet.', 'digger' ); ?></p>
						<?php
					endif;
					?>
			</div><!-- #main -->
		</section><!-- #primary -->
	</div>
</div>
<?php
get_footer();
