<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

?>
<!-- WIDGET AREA -->
<?php
if ( is_active_sidebar( 'footer-widget-area' ) ) :
	?>
	<div class="container">
		<div class="row mb-3 mb-md-5">
			<div class="col-12 col-md-8 offset-md-2">
				<div id="primary-widget" class="primary-widget-area">
					<?php
					dynamic_sidebar( 'footer-widget-area' );
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
endif;
?>
<!-- END WIDGET AREA -->
<!-- FOOTER SECTION -->
<footer id="footer" class="py-md-5 py-3 border-top">
	<div class="container">
		<div class="row py-md-5 py-3">
			<div class="col-md-3">
				<p class="h4 fw-bold mb-3"><?php bloginfo( 'name' ); ?></p>
			</div>
			<div class="col-md-5">
				<?php
					wp_nav_menu(
						array(
							'theme_location' => 'footer',
							'container'      => false,
							'menu_id'        => false,
							'menu_class'     => 'da-footer-menu',
						)
					);
					?>
			</div>
			<div class="col-md-4">
				<p>
					<small class="text-muted">
						<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'digger' ) ); ?>" target="_blank" title="<?php esc_attr_e( 'WPSamurai', 'digger' ); ?>" class="footer-copyright">
						<?php
							/* translators: %s: WordPress */
							printf( esc_attr__( 'Proudly powered by %s', 'digger' ), 'WordPress' );
						?>
						</a>
					</small>
				</p>
			</div>
		</div>
	</div>
</footer>
<!-- END FOOTER SECTION -->
<?php
wp_footer();
?>
</main>
</body>
</html>
