<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<?php wp_head(); ?>    
</head>
<body <?php body_class(); ?>>
<?php
wp_body_open();
?>
<?php
	$digger_custom_logo_id = get_theme_mod( 'custom_logo' );
	$digger_logo           = wp_get_attachment_image_src( $digger_custom_logo_id, 'full' );
?>

<header>
	<a class="screen-reader-text skip-link" href="#content">Skip to content</a>
	<nav class="navbar navbar-expand-lg navbar-light bg-white border-bottom">
		<div class="container">
			<a class="navbar-brand fw-bold" href="
			<?php
			echo esc_url( home_url() );
			?>
			">
			<?php
			if ( has_custom_logo() ) {
				echo '<img src="' . esc_url( $digger_logo[0] ) . '" alt="' . esc_html( get_bloginfo( 'name' ) ) . '" class="custom-logo">';
			}
			?>
			<?php
			bloginfo( 'name' );
			?>
			</a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php esc_attr_e( 'Toggle navigation', 'digger' ); ?>">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<?php
					wp_nav_menu(
						array(
							'theme_location' => 'primary',
							'container'      => false,
							'menu_id'        => false,
							'menu_class'     => 'navbar-nav ms-auto',
							'depth'          => 2,
							'fallback_cb'    => 'digger_navwalker::fallback',
							'walker'         => new digger_navwalker(),
						)
					);
					?>
			</div>
		</div>
	</nav>
</header>
<main id="content">
