<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

get_header();
?>
<section class="my-3 my-md-5">
	<div class="container">
		<div class="row py-3 py-md-5">
			<div class="col-12 col-md-8 offset-md-2">
				<h1 class="display-1"><span class="main-gradient"><?php bloginfo( 'description' ); ?></span></h1>  
			</div>
		</div>
	</div>
</section>
<section class="mb-3 mb-md-5">
	<div class="container">
		<div class="row pb-3 pb-md-5">        
			<div class="col-12 col-md-6 offset-md-3">
				<?php get_search_form(); ?>
			</div>  
		</div>  
	</div>
</section>
<section class="mb-3">
	<div class="container">
		<div class="row mb-3 mb-md-5">
			<div class="col-12 col-md-8 offset-md-2">
				<h2 class="display-4 text-start"><span class="text-primary"><?php esc_html_e( 'New', 'digger' ); ?></span> <?php esc_html_e( 'on the site', 'digger' ); ?></h2>
			</div>
		</div>
		<div class="row">
			<div class="col-12 col-md-8 offset-md-2">
				<?php
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="archive-posts p-3 p-md-5 my-auto mb-3 mb-md-5 rounded
						<?php
						if ( is_sticky() ) {
							echo ' digger-blue-back';
						} else {
							echo ' bg-white border';
						};
						?>
						">
							<h3><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="hometitle"><?php the_title(); ?></a></h3>
							<p class="text-muted"><?php the_time( get_option( 'date_format' ) ); ?></p>
							<?php the_excerpt(); ?>
							<span class="all-tags"><small><?php the_tags( '', ', ', '' ); ?></small></span>							
							<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><span class="block-link"></span></a>								
						</div>
					</div>
						<?php
				endwhile;
					?>
					<?php
					wp_reset_postdata();
					?>
					<?php
					else :
						esc_html_e( 'Nothing Here Yet', 'digger' );
					endif;
					?>
			</div>
		</div>
	</div>  
</section>
<?php
get_footer();
