<?php
/**
 * The template for displaying all pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

get_header();
while (
	have_posts() ) :
	the_post();
	?>
<section id="page-title">
	<div class="container">
		<div class="row my-3 my-md-5">
			<div class="col-md-8 offset-md-2">
				<?php
				if ( ! is_front_page() ) :
					?>
					<header class="entry-header">				
						<?php the_title( '<h1 class="display-2">', '</h1>' ); ?>
					</header>
					<?php
			endif;
				?>
			</div>
		</div>
	</div>
</section>
<section id="page-content" class="content-area">
	<div class="container">
		<div class="row mb-3 mb-md-5">
			<div class="col-md-8 offset-md-2">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry-content">
						<?php
						the_content();
							wp_link_pages(
								array(
									'before'   => '<nav class="page-links clearfix" aria-label="' . esc_attr__( 'Page', 'digger' ) . '">',
									'after'    => '</nav>',
									'pagelink' => esc_html__( 'Page %', 'digger' ),
								)
							);
						?>
					</div>
					<?php if ( get_edit_post_link() ) : ?>
						<div class="edit-block my-2 clearfix">
							<?php
							edit_post_link(
								sprintf(
									/* translators: %s: Post title. Only visible to screen readers. */
									esc_html__( 'Edit %s', 'digger' ),
									'<span class="screen-reader-text">' . get_the_title() . '</span>'
								),
								'<span class="edit-link">',
								'</span>'
							);
							?>
						</div>
					<?php endif; ?>						
				</article>
			</div>
		</div>
	</div>
</section>

	<?php
	if ( comments_open() || get_comments_number() ) :
		?>
	<section id="page-comments">
		<div class="container">
			<div class="row mb-3 mb-md-5">
				<div class="col-12 col-md-8 offset-md-2">
					<?php comments_template(); ?>
				</div>
			</div>
		</div>
	</section>
		<?php
	endif;
	?>
	<?php
endwhile;
get_footer();
