<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

get_header();
?>
<div class="container">
	<div class="row my-3 my-md-5">
		<div class="col-md-4 offset-md-4">
			<?php
			get_search_form();
			?>
		</div>
	</div>
</div>	
<div class="container">
	<div class="row mb-3 mb-md-5">
		<div class="col-md-8 offset-md-2">
		<?php
		if ( have_posts() ) :
			?>
			<header class="page-header">
				<h3 class="page-title mb-3 mb-md-5"><span><?php esc_html_e( 'You searched for', 'digger' ); ?> "<?php echo get_search_query(); ?>"</span></h3>
			</header><!-- .page-header -->
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();
				?>
				<div class="archive-posts border p-3 p-md-5 my-auto mb-3 mb-md-5 bg-white rounded">
					<?php
					if ( has_post_thumbnail() ) {
						?>
						<div class="thumbnail-archive"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
						<?php
					};
					?>
					<h3><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="hometitle"><?php the_title(); ?></a></h3>
					<?php the_excerpt(); ?>				
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><span class="block-link"></span></a>
				</div>
				<?php
			endwhile;
			digger_boostrap_5_pagination();
			else :
				?>
			<div class="mb-5 text-center">
				<h2><?php esc_html_e( 'Nothing was found.', 'digger' ); ?></h2>
				<p><?php esc_html_e( 'Nothing was found for your query. Try the search again.', 'digger' ); ?></p>
			</div>
				<?php
			endif;
			?>
		</div>
	</div>
</div>
<?php
get_footer();
