<?php
/**
 * The searchform.php template.
 *
 * Used any time that get_search_form() is called.
 *
 * @link https://developer.wordpress.org/reference/functions/wp_unique_id/
 * @link https://developer.wordpress.org/reference/functions/get_search_form/
 *
 * @package WordPress
 * @subpackage Digger
 * @since Digger 1.0.3
 */

?>
<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<div class="input-group input-group-lg">
		<input type="search" class="form-control" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'digger' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" title="<?php echo esc_html_x( 'Search for:', 'label', 'digger' ); ?>">    
		<div class="input-group-append">
			<input type="submit" class="btn btn-dark btn-lg" value="<?php echo esc_attr_x( 'Go', 'submit button', 'digger' ); ?>">
		</div>
	</div>
</form>
